Get all Workflow Executions

Returns a collection containing all previous executions of the workflow identified by the workflowId parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Without query parameters, all executions of a particular workflow will be returned. You can query them based on the input fields in the response. For instance, if an input object is returned as

// (...)
{
  "input": {
    "paymentMethod": {
      "name": "card",
      "info": {
        "type": "credit",
        "issuer": "DATATRANS",
        "brand": "MCI CREDIT",
        "usage": "consumer",
        "country": "CH"
      }
    },
    "reference": "dt-1127",
    "amount": 50.5,
    "currency": "CHF" 
   }
}
// (...)

you can then query it by any of the elements listed in input. For example, the queries /api/v1/workflows/{workflowId}/executions?reference="dt-1127" or /api/v1/workflows/{workflowId}/executions?paymentMethod.info.type="credit" will filter all executions matching these fields.

Path Params
uuid
required

A workflow identifier.

Query Params
inputFields
object
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json